package com.jsowell.common.enums;

/**
 * 会员钱包enum
 */
public enum MemberWalletEnum {

	/**
	 * 更新类型
	 * 1-进账；2-出账
	 */
	TYPE_IN("1", "进账"),
	TYPE_OUT("2", "出账"),

	/**
	 * 子类型
	 * 进账：10-充值, 11-赠送, 12-订单结算退款
	 * 出账：20-后管扣款, 21-订单付款, 22-用户退款
	 */
	SUBTYPE_TOP_UP("10", "充值"),
	SUBTYPE_GIVING("11", "赠送"),
	SUBTYPE_ORDER_SETTLEMENT_REFUND("12", "订单结算退款"),

	SUBTYPE_WEB_DEDUCT_MONEY("20", "后管扣款"),
	SUBTYPE_PAYMENT_FOR_ORDER("21", "订单付款"),
	SUBTYPE_USER_REFUND("22", "用户退款"),

	;

	private String value;
	private String label;

	public String getValue() {
		return value;
	}

	public void setValue(String value) {
		this.value = value;
	}

	public String getLabel() {
		return label;
	}

	public void setLabel(String label) {
		this.label = label;
	}

	MemberWalletEnum(String value, String label) {
		this.value = value;
		this.label = label;
	}
}
